Subject: pointers as integers

From: Paul Singleton <[email-masked]>
Date: Wed, 09 Feb 2000 23:04:08 +0000

Is this true in 3.3?

 "In the current system, pointers are represented by Prolog integers,
 but need some manipulation to make sure they do not get truncated due
 to the limited Prolog integer range. PL_put_pointer()/PL_get_pointer()
 guarantees pointers in the range of malloc() are handled without
 truncating.

I've had no problems with Win32 versions; should I nevertheless use
PL_***_pointer() for portability?

Paul Singleton